Source: https://developers.woosmap.com/api-reference/zones-api/get-zones/

> For clean Markdown of any page, append `.md` to the page URL.

> For a complete documentation index, see https://developers.woosmap.com/llms.txt

# List your Zones



# List your Zones

 GET 
https://api.woosmap.com/zones

List all zones for the current project, sorted by `zone_id`.

### Authorization

[`private_key`](#authorization-woosmap-platform-api-reference-privateapikeyauth)
apiKeyquery

A Private key generated specifically to authenticate API requests on server side. Required for Data management API. See how to [register a Private API Key](https://developers.woosmap.com/api-reference/authentication/#registering-a-woosmap-private-api-key).

### Query Parameters

[`limit`](#query-limit)
integer

To limit number of zones retrieved (max 50).

Example:`10`

[`offset`](#query-offset)
integer

To retrieve zones starting from an offset value.

Example:`20`

### Response

200application/json

Zones successfully retrieved

[`zones`](#resp-200-zones)
object[]

The Zones collection

#Show 6 propertiesHide 6 properties

zones.[`zone_id`](#resp-200-zones-zone-id)
stringrequired

A textual identifier that uniquely identifies a Zone.

Example:`ZoneA`

zones.[`description`](#resp-200-zones-description)
string

Textual description of your Zone

Example:`Delivery Zone for Store A`

zones.[`store_id`](#resp-200-zones-store-id)
stringrequired

A textual identifier that uniquely identifies an Asset. It must matches the following regexp `[A-Za-z0-9]+`

Example:`STORE_ID_12345`

zones.[`polygon`](#resp-200-zones-polygon)
stringrequired

Zone geometry polygon as **Well Known Text**. WKT defines how to represent geometry of one object (cf. [https://en.wikipedia.org/wiki/Well-known\_text](https://en.wikipedia.org/wiki/Well-known_text)). Your zones could be complex and multipart polygons.

Example:`POLYGON ((-122.4546384 37.774656,-122.4515485 37.7595934,-122.4354306 37.7602172,-122.4333707 37.7512596,-122.423071 37.7511239,-122.4242726 37.7687665,-122.4259893 37.7691736,-122.4289075 37.7732444,-122.4306241 37.7850483,-122.4472753 37.7830133,-122.445902 37.7759581,-122.4546384 37.774656))`

zones.[`types`](#resp-200-zones-types)
string[]

Contains an array of types describing the Zone.

Example:

```json
[
  "delivery",
  "san_francisco_west"
]
```

zones.[`status`](#resp-200-zones-status)
string

the status as string

Example:`ok`

[`status`](#resp-200-status)
string

the status as string

Example:`ok`

### Errors

#401

Unauthorized. Incorrect authentication credentials.

 

`application/json`

[`detail`](#err-401-detail)
string

Details for the credentials error

Example:`Incorrect authentication credentials. Please check or use a valid API Key`

#403

Forbidden. This Woosmap API is not enabled for this project.

 

`application/json`

[`detail`](#err-403-detail)
string

Details for the forbidden error message

Example:`This Woosmap API is not enabled for this project.`

#429

Too Many Requests. The rate limit for this endpoint has been exceeded.

 

`application/json`

[`detail`](#err-429-detail)
string

Details for the Over Query Limit error message

Example:`The rate limit for this endpoint has been exceeded`

```shell
curl -L 'https://api.woosmap.com/zones/?private_key=YOUR_PRIVATE_API_KEY&limit=2&offset=1'
```

```javascript
const requestOptions = {
  method: "GET",
  redirect: "follow"
};

fetch("https://api.woosmap.com/zones/?private_key=YOUR_PRIVATE_API_KEY&limit=2&offset=1", requestOptions)
  .then((response) => response.text())
  .then((result) => console.log(result))
  .catch((error) => console.error(error));
```

```python
import requests

url = "https://api.woosmap.com/zones/?private_key=YOUR_PRIVATE_API_KEY&limit=2&offset=1"

payload = {}
headers = {}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
```

```json
{
  "zones": [
    {
      "store_id": "STORE_ID_123456",
      "zone_id": "ZoneB",
      "polygon": "POLYGON ((-122.4546384 37.774656, -122.4515485 37.7595934, -122.4354306 37.7602172, -122.4333707 37.7512596, -122.423071 37.7511239, -122.4242726 37.7687665, -122.4259893 37.7691736, -122.4289075 37.7732444, -122.4306241 37.7850483, -122.4472753 37.7830133, -122.445902 37.7759581, -122.4546384 37.774656))",
      "types": [
        "delivery"
      ],
      "description": "Delivery Zone for Store B"
    },
    {
      "store_id": "STORE_ID_45678",
      "zone_id": "ZoneC",
      "polygon": "POLYGON ((-122.4758889 37.7524995, -122.4751594 37.7321718, -122.4688079 37.7299995, -122.4648597 37.7261979, -122.4519851 37.7228035, -122.4483802 37.7215815, -122.4458053 37.726741, -122.4365356 37.7310857, -122.4315574 37.7324433, -122.4246909 37.7312214, -122.4219444 37.731493, -122.423071 37.7511239, -122.4333707 37.7512596, -122.4354306 37.7602172, -122.4515485 37.7595934, -122.4528628 37.7582744, -122.4540375 37.7566755, -122.4565266 37.7513144, -122.4601315 37.7521288, -122.4618481 37.7514501, -122.4635648 37.7530788, -122.4758889 37.7524995))",
      "types": [
        "delivery"
      ],
      "description": "Delivery Zone for Store C"
    }
  ],
  "status": "ok"
}
```

```json
{
  "detail": "Incorrect authentication credentials. Please check or use a valid API Key"
}
```

```json
{
  "detail": "This Woosmap API is not enabled for this project."
}
```

```json
{
  "detail": "The rate limit for this endpoint has been exceeded"
}
```
